// component/fauleInfoItem/faultInfoItem.ts
import { TimeUtil } from '../../utils/TimeUtil'
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        itemData: null
    },

    /**
     * 组件的初始数据
     */
    data: {
        myItemData: null,
        itemTime: ''
    },

    lifetimes: {
        attached: function () {
            // 在组件实例被从页面节点树添加时执行
            //创建节点选择器
            console.log("this.properties.itemData:", this.properties.itemData)
            this.setData({
                myItemData: this.properties.itemData,
                itemTime: TimeUtil.dateFormat(parseInt(this.properties.itemData.created), "yyyy-MM-dd HH:mm"),

            })

        },
        detached: function () {
            // 在组件实例被从页面节点树移除时执行

        },
    },

    /**
     * 组件的方法列表
     */
    methods: {

    }
})
