// pages/faultInfo/faultInfo.ts
Page({

    /**
     * 页面的初始数据
     */
    data: {
        //是否隐藏评价按钮
        showAppraise: true,
        contentLineHeight: 0,
        itemData: null,
        faultLevText: '',
        imgList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let obj = JSON.parse(options.item);
        console.log("obnj-----", obj)
        let showAppraise = true
        if (obj.processType == 2) {
            showAppraise = false
        }
        // 0:普通 1:待查 2:紧急
        let faulevText = '';
        switch (obj.faultLevel) {
            case 0:
                faulevText = '普通'
                break;
            case 1:
                faulevText = '待查'
                break;
            case 2:
                faulevText = '紧急'
                break;
        }
        this.setData({
            itemData: obj,
            showAppraise: showAppraise,
            faultLevText: faulevText,
            imgList: obj.img.split(',')
        })
        console.log("imgList:", this.data.imgList)
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        let that = this;
        //创建节点选择器
        var query = wx.createSelectorQuery();
        //选择id
        query.select('#contentView').boundingClientRect()
        query.exec(function (res) {
            that.setData({
                contentLineHeight: res[0].height
            })
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})